/*
Theme Name: Thème H - Hébron
Author: Bayard-Service
Author URI: https://www.bayard-service.com
Description: A child theme for bsw-aster.
Text Domain: aster
Requires at least: 6.0
Requires PHP: 7.4
Tested up to: 6.0
Version: 1.2.4
Template: bsw-aster
*/

/* *****************************
----------------------------
	= LAYOUT
----------------------------
***************************** */

/* ----------------------------
	== HEADER
---------------------------- */
.home .site-header {
    position: fixed;
    top: -300px;
    left: 0;
    right: 0;
    z-index: 20;
    transition: all .5s;
}
.site-header .wp-block-site-logo {
    margin: 0;
}
.site-header > div {
    padding: 0;
    position: relative;
}
.site-header > div > div {
    padding: calc(var(--wp--preset--spacing--small)/2) var(--wp--preset--spacing--window);
}
.site-header .wp-block-navigation a:where(:not(.wp-element-button)):hover {
    color: var(--wp--preset--color--secondary) !important;
}
.site-header #picsHeaderSticky {
    position: absolute;
    right: -1%;
    margin: 0;
    top: 99%;
    height: 8vh;
}
.site-header #picsHeaderSticky .cls-1 {
    fill: var(--wp--preset--color--primary);
    stroke-width: 0;
}
.site-header  .has-primary-background-color + #picsHeaderSticky .cls-1 {
    fill: var(--wp--preset--color--primary);
}
.site-header  .has-secondary-background-color + #picsHeaderSticky .cls-1 {
    fill: var(--wp--preset--color--secondary);
}
.site-header  .has-neutral-background-color + #picsHeaderSticky .cls-1 {
    fill: var(--wp--preset--color--neutral);
}
.site-header  .has-accent-background-color + #picsHeaderSticky .cls-1 {
    fill: var(--wp--preset--color--accent);
}
.site-header  .has-current-background-color + #picsHeaderSticky .cls-1 {
    fill: var(--wp--preset--color--current);
}
@media only screen and (max-width: 1024px) {
    .site-header #picsHeaderSticky {
        display: none;
    }
    .site-header .is-style-fill {
        position: absolute;
    }
    .bs-btnsticky .wp-block-button__link {
        position: fixed;
        bottom: 0;
        width: 50%;
        border: none;
        padding: 15px 0;
        border-radius: 0 !important;
        z-index: 1000;
        font-size: 1.2rem !important;
        border-right: 1px solid var(--wp--preset--color--white);
    }
    .bs-btnright .wp-block-button__link {
        right: 0;
    }
    .bs-btnleft .wp-block-button__link {
        left: 0;
    }
    .page-template .site-header {
        position: sticky;
        top: 0;
        z-index: 999;
    }
}

/*
    HEADER PRESENT DES LE DEPART
*/
@media only screen and (max-width: 800px) {
    .no-invisible {
        top: 0 !important;
    }
}

/*
    BLOCK POPIN
*/
.block-popins {
    position: fixed !important;
    color: var(--wp--preset--color--white);
}
.block-popins::before {
    content: "" !important;
    font-family: theme-h;
    color: var(--wp--preset--color--white);
}
.block-popins .wp-block-search__button:hover {
    background: var(--wp--preset--color--secondary);
}
#pop-search {
    font-family: theme-h;
    font-size: 2rem;
}
#pop-search a {
    padding: 0 5px !important;
}
#pop-search a:hover {
    color: var(--wp--preset--color--secondary) !important;
}

/* ----------------------------
	== MAIN NAV BURGER HIERARCHIE
---------------------------- */
.bs-burger .is-responsive .wp-block-navigation-item__content {
    font-weight: 800;
    font-size: 1.2rem;
    color: var(--wp--preset--color--primary) !important;
    font-family: var(--wp--preset--font-family--title);
}
.bs-burger .is-responsive .wp-block-navigation__submenu-container a {
    font-weight: 500;
    font-size: 1rem;
    color: var(--wp--preset--color--current) !important;
    font-family: var(--wp--preset--font-family--current);
}

/* ----------------------------
	== BSW MENU RESPONSIVE
---------------------------- */
.bs-small-nav .bs-nav-responsive {
    display: none;
}

@media only screen and (min-width: 1024px) {
    header:not(.bs-small-nav) .bs-burger {
        display: none;
    }
}
.bs-navresp,
.bs-burger {
    justify-content: end !important;
}

@media only screen and (max-width: 1024px) {
    .bs-burger,
    .bs-nav-responsive {
        flex-grow: initial !important;
    }
}

/* ----------------------------
	== FOOTER
---------------------------- */
.site-footer {
    margin: 0;
    position: relative;
    z-index: 3;
    padding: var(--wp--preset--spacing--text) 0;
}
.home .site-footer {
    background: var(--wp--preset--color--white);
}
.site-footer .wp-block-site-logo {
    margin: 0 !important;
}
.site-footer #picsFooter {
    position: absolute;
    bottom: 99%;
    height: 10vh;
    right: 0;
}
.home .site-footer .st0 {
    fill: var(--wp--preset--color--white);
}
body:not(.home) .site-footer {
    background: var(--wp--preset--color--neutral);
    margin-block-start: 10vh;
}
body:not(.home) .site-footer .st0 {
    fill: var(--wp--preset--color--neutral);
}
@media only screen and (max-width: 800px) {
    .site-footer .wp-block-group {
        flex-direction: column;
        align-items: baseline;
    }
    .site-footer {
        padding-bottom: var(--wp--preset--spacing--current);
    }
    .site-footer .wp-block-image {
        display: flex;
        justify-content: center;
        width: 100%;
    }
    .site-footer .wp-block-image img {
        width: 250px !important;
    }
    .site-header .bs-navresp {
        flex-direction: row-reverse;
        gap: 0;
    }
}

/* ----------------------------
	== MAIN
---------------------------- */
main {
    padding: var(--wp--preset--spacing--text) var(--wp--preset--spacing--window) var(--wp--preset--spacing--window) !important;
}

/*
	BREADCRUMBS
*/
.breadcrumb li::after {
    content: "" !important;
    font-family: theme-h;
    font-size: smaller;
}
@media only screen and (max-width: 800px) {
    .wp-block-wpseopress-breadcrumbs li.breadcrumb-item:nth-last-child(2) a::before {
        content: "";
        margin: 0 10px 0 0;
        font-family: theme-h;
    }
    .wp-block-wpseopress-breadcrumbs li.breadcrumb-item:nth-last-child(2) a {
        font-weight: 800;
    }
}

/* *****************************
----------------------------
	= COMPONENTS
----------------------------
***************************** */

/* ----------------------------
	== SOCIAL LINKS
---------------------------- */
.wp-block-social-links,
.wp-block-social-links.has-normal-icon-size {
    font-size: 40px;
}

/* ----------------------------
	== IMAGES
---------------------------- */
.wp-block-post-featured-image img {
    border-radius: var(--wp--custom--border-radius);
}
.is-style-aster-grille img {
    border-radius: 0;
}

/* ----------------------------
	== BLOCKQUOTE
---------------------------- */
@media only screen and (max-width: 1024px) {
    .wp-block-quote::before {
        font-size: 4rem;
    }
}

/* ----------------------------
	== NEXT-PREV
---------------------------- */
.next-prev .post-navigation-link-previous a::before {
    content: "";
    color: var(--wp--preset--color--primary);
    font-family: theme-h;
    font-size: smaller;
}
.next-prev .post-navigation-link-next a::before {
    content: "";
    color: var(--wp--preset--color--primary);
    font-family: theme-h;
    font-size: smaller;
}

/* ----------------------------
	== BUTTONS
---------------------------- */
.bs-news .wp-block-buttons,
.bs-event .wp-block-buttons,
.bs-quick-access .wp-block-buttons,
.bs-services .wp-block-buttons {
    gap: 0;
}
.bs-news .wp-block-buttons a::before,
.bs-event .wp-block-buttons a::before,
.bs-quick-access .wp-block-buttons a::before,
.bs-services .wp-block-button a::before {
    content: "\e916";
    font-family: theme-h;
    font-size: 0.8rem;
    color: var(--wp--preset--color--secondary);
    padding-right: 5px;
}
.bs-news .wp-block-buttons a,
.bs-event .wp-block-buttons a,
.bs-quick-access .wp-block-buttons a,
.bs-services .wp-block-button a {
    text-decoration: none !important;
}
.wp-block-buttons:has(> .is-style-fill)::before {
    display: none;
}
.is-style-aster-simple-button {
    padding: 5px;
}

/* ----------------------------
	== NAVIGATION SIDE BAR
---------------------------- */
.wp-block-bsw-siblings-posts li a,
.wp-block-bsw-siblings-posts li {
    color: var(--wp--preset--color--primary);
}
.wp-block-bsw-siblings-posts li.current a,
.wp-block-bsw-siblings-posts li.current::marker {
    color: var(--wp--preset--color--secondary);
    font-weight: 700;
}
@media only screen and (min-width: 900px) {
    .wp-block-columns.with-sidebar > .wp-block-column:last-child > div {
        padding-bottom: var(--wp--preset--spacing--text);
    }
}

/* *****************************
----------------------------
	= PATERNS - TEMPLATES PART
----------------------------
***************************** */
.wp-block-template-part {
    margin-block-start: 0;
}

/* ----------------------------
	== GRADIENT
---------------------------- */
.bs-gradient {
    margin: 0;
    position: relative;
    z-index: 3;
}

/* ----------------------------
	== LOGO HP HEADER
---------------------------- */
.bs-headerHP {
    padding: var(--wp--preset--spacing--window) 0 calc(var(--wp--preset--spacing--window) *2) !important;
}
.bs-headerHP img {
    position: fixed;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
}
.bs-headerHP h1 {
    font-size: 2rem;
    margin-bottom: var(--wp--preset--spacing--text);
}
@media only screen and (max-width: 1024px) {
    .bs-headerHP {
        padding: calc(var(--wp--preset--spacing--current) *2) 0 calc(var(--wp--preset--spacing--current) *3) !important;
    }
    .bs-headerHP h1 {
        font-size: 1.5rem;
    }
}

/* ----------------------------
	== NAV HP HEADER
---------------------------- */
.bs-navHP {
    position: relative;
    margin: 0;
}
.bs-navHP .wp-block-group {
    margin: 0;
    position: relative;
    z-index: 4;
}
.bs-navHP #picsHeader {
    position: absolute;
    left: 0;
    right: 0;
    margin: 0;
    z-index: 2;
    bottom: 75%;
}
.has-neutral-background-color path {
    fill: var(--wp--preset--color--neutral);
}
@media only screen and (max-width: 1024px) {
    .bs-navHP .wp-block-group {
        display: none;
    }
    .bs-navHP #picsHeader {
        margin: -1px;
    }
    .has-neutral-background-color path {
        fill: var(--wp--preset--color--white);
    }
}

/* ----------------------------
	== EDITO
---------------------------- */
.bs-edito {
    position: relative;
    padding: var(--wp--preset--spacing--text) var(--wp--preset--spacing--window) !important;
}
.bs-edito figure {
    position: relative;
    margin-block-end: 0;
    height: 70vh;
}
.bs-edito figure::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.7)); /* Dégradé noir vers transparent */
    z-index: 2;
    border-radius: var(--wp--custom--border-radius);
}
.bs-edito figure img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100% !important;
    width: 100% !important;
    object-fit: cover;
    box-shadow: 0 0 50px rgba(0, 0, 0, 0.3);
    border-radius: var(--wp--custom--border-radius);
}
.bs-edito .wp-block-group {
    gap: 0;
    padding: var(--wp--preset--spacing--text);
    width: 100%;
    border-radius: var(--wp--custom--border-radius);
}
.bs-edito .wp-block-group > * {
    position: relative;
    z-index: 1;
}
@media only screen and (min-width: 800px) {
    .bs-edito {
        padding-bottom: var(--wp--preset--spacing--current) !important;
    }
    .bs-edito .wp-block-group {
        position: absolute;
        bottom: var(--wp--preset--spacing--window);
        left: 50%;
        transform: translate(-50%);
        z-index: 19;
    }
    .bs-edito .wp-block-group.has-primary-background-color::before {
        background: var(--wp--preset--color--primary);
    }
    .bs-edito .wp-block-group.has-secondary-background-color::before {
        background: var(--wp--preset--color--secondary);
    }
    .bs-edito .wp-block-group.has-current-background-color::before {
        background: var(--wp--preset--color--current);
    }
    .bs-edito .wp-block-group.has-white-background-color::before {
        background: var(--wp--preset--color--white);
    }
}
@media only screen and (max-width: 1024px) {
    .bs-gradient {
        background: var(--wp--preset--color--white) !important;
    }
    .bs-edito figure {
        height: 40vh !important;
    }
}
@media only screen and (max-width: 800px) {
    .bs-edito .wp-block-group {
        color: var(--wp--preset--color--primary) !important;
        background: var(--wp--preset--color--neutral);
        margin: 0;
    }
    .bs-edito .wp-block-group > h1 {
        color: var(--wp--preset--color--primary) !important;
    }
    .bs-edito p {
        color: var(--wp--preset--color--primary) !important;
    }
    .bs-edito figure {
        height: 200px !important;
    }
}

/* ----------------------------
	== MAIN CONTENT
---------------------------- */
.bs-maincontent {
    background: var(--wp--preset--color--neutral);
    padding: var(--wp--preset--spacing--window);
    gap: var(--wp--preset--spacing--text);
    position: relative;
    margin-block-start: 0;
    z-index: 3;
}
.bs-maincontent .wp-block-heading {
    font-size: 3vw;
}
@media only screen and (max-width: 1024px) {
    .bs-maincontent {
        padding-bottom: 10vh;
    }
    .bs-maincontent .wp-block-heading {
        font-size: 2rem;
    }
}

/* ----------------------------
	== POST LIST GRID
---------------------------- */
.is-style-aster-grille li {
    background: var(--wp--preset--color--neutral);
    padding-bottom: var(--wp--preset--spacing--text);
}
.is-style-aster-grille li > figure {
    padding: 0;
}
.is-style-aster-grille li h2 {
    padding: var(--wp--preset--spacing--text) var(--wp--preset--spacing--text) 0;
}
.is-style-aster-grille .wp-block-post-excerpt {
    padding: 0 var(--wp--preset--spacing--text);
    line-height: normal;
    margin-bottom: 0;
}

/* ----------------------------
	== NEWS
---------------------------- */
.bs-news {
    position: relative;
    padding-right: var(--wp--preset--spacing--text);
}
.bs-news::after {
    top: 0;
    right: 0;
    content: "";
    height: 100%;
    width: 5px;
    z-index: 1;
    position: absolute;
    background: var(--wp--preset--color--white);
}
.bs-news .is-style-aster-grille figure::before {
    padding-top: 70%;
}
.bs-news .is-style-aster-grille li {
    background: var(--wp--preset--color--white);
}

@media only screen and (max-width: 1024px) {
    .bs-news {
        padding-right: 0;
    }
    .bs-news::after {
        display: none;
    }
}

/*
    SLIDER NEWS MOBILE
*/
.bs-news .wp-block-bsw-slider li {
    background: var(--wp--preset--color--white);
}
.bs-news .wp-block-bsw-slider figure {
    position: relative;
    z-index: 1;
    margin: 0 0 var(--wp--preset--spacing--small) 0;
    overflow: hidden;
}
.bs-news .wp-block-bsw-slider figure::before {
    content: "";
    display: block;
    padding-top: 70%;
}
.bs-news .wp-block-bsw-slider img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all .5s;
}
.bs-news .wp-block-bsw-slider .slider_post_title {
    display: block;
    font-family: var(--wp--preset--font-family--title);
    color: var(--wp--preset--color--primary);
    font-weight: 800;
    padding: 0 var(--wp--preset--spacing--text);
}
.bs-news .wp-block-bsw-slider .slider_excerpt {
    text-overflow: ellipsis;
    line-height: normal;
    padding: 0 var(--wp--preset--spacing--text);
}

/* ----------------------------
	== EVENT
---------------------------- */
.bs-event ul {
    padding: 0;
    margin-bottom: 0;
}
.bs-event li {
    display: flex;
    flex-direction: column-reverse;
    padding-bottom: 16px;
}
.bs-event li p {
    margin: 0;
    padding-bottom: 8px;
    line-height: normal;
}
.bs-event .bsw-event-date {
    font-family: var(--wp--preset--font-family--title);
    color: var(--wp--preset--color--primary);
    font-weight: 800;
}
.bs-event .wp-block-buttons {
    margin: 0 !important;
}


/* ----------------------------
	== SERVICES
---------------------------- */
.bs-services .wp-block-button__link {
    text-decoration: underline;
}

/* ----------------------------
	== QUICKACCES
---------------------------- */
.bs-quick-access {
    padding: 0 var(--wp--preset--spacing--window) var(--wp--preset--spacing--window);
}
ul.bs-quick-access {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: var(--wp--preset--spacing--current);
    list-style: none;
}
.bs-quick-access [class^="icon-"]::before,
.bs-quick-access [class*="icon-"]::before {
    display: block;
    margin: 0 0 10px;
    text-align: center;
    font-size: 5rem;
    color: var(--wp--preset--color--primary);
}
.bs-quick-access p {
    margin-block-start: 10px;
    line-height: 1.2;
}

@media only screen and (max-width: 1024px) {
    .bs-quick-access {
        padding: 0 var(--wp--preset--spacing--window) var(--wp--preset--spacing--window)  var(--wp--preset--spacing--window);
        gap: var(--wp--preset--spacing--window);
    }
    .bs-quick-access li {
        flex: none;
        width: calc(50% - (var(--wp--preset--spacing--current) / 2));
    }
}
@media only screen and (max-width: 800px) {
    .bs-quick-access {
        gap: var(--wp--preset--spacing--current);
    }
}

/* ----------------------------
	== ARCHIVES EVENTS LIST GRID
---------------------------- */
.archive .is-style-aster-grille p {
    padding: 0 var(--wp--preset--spacing--text);
}
.archive .bsw-event-date {
    color: var(--wp--preset--color--primary);
    font-weight: 700;
    font-family: var(--wp--preset--font-family--title);
}

/* ----------------------------
	== MESSES INFO
---------------------------- */
#list-header tr {
    display: flex;
    flex-wrap: wrap-reverse;
}
#list-header .gwt-TabBarItem-selected {
    text-decoration: none !important;
    background: var(--wp--preset--color--primary);
    color: var(--wp--preset--color--white);
    padding: 5px 10px;
    border-radius: 50px;
}
#list-header .gwt-TabBarItem {
    text-decoration: underline;
    padding: 5px 10px;
    border-radius: 50px;
}

/* *****************************
----------------------------
	= HOME PAGE
----------------------------
***************************** */
.home main {
    padding: 0 !important;
    margin: 0;
}

